Bug 987431 - Subtitles have the same size regardless of parent
Subtitles have the same size regardless of parent
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 07:26 EDT by Petr Bokoc
Modified: 2013-12-18 21:46 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Bokoc 2013-07-23 07:26:37 EDT
Description of problem:
Using the <subtitle> tag in any allowed circumstance results in the subtitle appearing to have the same size, regardless of whether it belongs to a book or a sub-sub-subsection. This means that, for example, if you use the <subtitle> tag in a third level section (e.g. 1.1.1 foo), the subtitle is the same size as the title, but bold, and in lower level subsections, subtitles are noticeably bigger than actual titles.

Subtitles don't seem to be used very often, but it's still something that might be worth looking into.

Version-Release number of selected component (if applicable):
publican-3.1.5-0.fc17.t65.noarch

How reproducible: 100%

Steps to Reproduce:
1. Use the <subtitle> tag in a book as a child of <book>, <chapter>, <section>, subsection, subsubsection, etc.
2. Build the book as PDF, HTML, HTML-single or HTML-desktop
3. Inspect subtitles in the built book

Actual results:
Subtitle size should be dependent on the title size.

Expected results:
Subtitle size is always the same, which means it's sometimes larger than the title.

Additional info:
Appears in the following brands: common, fedora, JBoss, RedHat, oVirt.
Comment 1 Petr Bokoc 2013-07-23 07:27:52 EDT
Err, I accidentaly switched actual results with expected results. Correction:

Actual results:
Subtitle size is always the same, which means it's sometimes larger than the title.

Expected results:
Subtitle size should be dependent on the title size.
Comment 3 HSS Product Manager 2013-09-23 02:47:57 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 4 Jeff Fearn 2013-09-24 01:53:43 EDT
Cover style was affecting all styles.

To ssh://git.fedorahosted.org/git/publican.git
   ed5856e..0c429e1  HEAD -> devel
Comment 5 Ruediger Landmann 2013-10-10 23:34:51 EDT
Verified in publican-3.9.9-0.fc19.t4.noarch

Note You need to log in before you can comment on or make changes to this bug.